Method: bidders.list
Stay organized with collections
Save and categorize content based on your preferences.
outlined_flag
This page provides details for listing bidder accounts belonging to the caller.
The HTTP request method is GET to the specified /v1/bidders endpoint.
The request supports pageSize and pageToken query parameters for pagination.
The request body should be empty, and the response body contains a list of bidder objects and a nextPageToken.
Listing bidders requires the https://www.googleapis.com/auth/realtime-bidding authorization scope.
Lists all the bidder accounts that belong to the caller.
HTTP request
GET https://realtimebidding.googleapis.com/v1/bidders
The URL uses gRPC Transcoding syntax.
Query parameters
Parameters
pageSize
integer
The maximum number of bidders to return. If unspecified, at most 100 bidders will be returned. The maximum value is 500; values above 500 will be coerced to 500.
pageToken
string
A token identifying a page of results the server should return.
This value is received from a previous bidders.list call in ListBiddersResponse.nextPageToken .
Request body
The request body must be empty.
Response body
A response containing bidders.
If successful, the response body contains data with the following structure:
JSON representation
{
"bidders" : [
{
object (Bidder )
}
] ,
"nextPageToken" : string
}
Fields
bidders[]
object (Bidder )
List of bidders.
nextPageToken
string
A token which can be passed to a subsequent call to the bidders.list method to retrieve the next page of results in ListBiddersRequest.pageToken .
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/realtime-bidding
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License , and code samples are licensed under the Apache 2.0 License . For details, see the Google Developers Site Policies . Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2025-05-07 UTC.
[null,null,["Last updated 2025-05-07 UTC."],[],[]]